 
;**************** THE WELS THEORY ******************
;Descripción: Encendido de LEDS del puerto RB3 y RB4
;Para más información visita: www.thewelstheory.com
;Y sigueme en www.facebook.com/WelsTheory
    
processor 16f84 ; Procesador PIC16f84A
include p16f84.inc ;Incluye las librerias 
    
; CONFIGURACION DEL PIC16F84A
    __config _XT_OSC & _WDT_OFF & _PWRTE_ON & _CP_OFF

 
;CODIGO
 
j   equ    0x0c
k   equ    0x0d

 
    org 0
    goto main
    
main:
    movlw   B'00000000'
    tris    PORTB
    movlw   B'00000010'
    movwf   PORTB
    call delay
    goto main

delay:
    movlw   .200 ; w = 200 decimal
    movwf   j ; j = w

jloop:
    movwf   k ; k = w

kloop:
    decfsz  k,f ; k = k-1, skip next if zero
    goto    kloop
    decfsz  j,f ; j = j-1, skip next if zero
    goto    jloop
    return
    
    End


